mod app;
mod modules;
mod terminal;

use clap::Parser;
use color_eyre::Result;

#[derive(Parser)]
#[command(name = "oru")]
#[command(about = "Oru is a system configuration manager for Origami Linux")]
#[command(version)]
struct Args {}

fn main() -> Result<()> {
    let _args = Args::parse();

    color_eyre::install()?;

    let mut terminal = ratatui::init();
    let result = app::App::new().run(&mut terminal);
    ratatui::restore();

    result
}
